# Tarfile created using git
# git clone git://gitorious.org/meego-netbook-ux/meego-panel-devices.git
# git archive --format=tar --prefix=meego-panel-devices-%{version}/ %{git_version} | bzip2 > %{name}-%{version}.tar.bz2
%define git_version 40338cc
%define tarfile %{name}-%{version}.tar.bz2

Name:          meego-panel-devices
Version:       0.1.33
Release:       2%{?dist}
Summary:       Meego devices panel

Group:         User Interface/Desktops 
License:       LGPLv2
URL:           http://www.meego.com/
Source0:       %{tarfile}
Patch0:        mpd-fixdso.patch

BuildRequires: DeviceKit-power-devel
BuildRequires: GConf2-devel
BuildRequires: clutter-gtk-devel
BuildRequires: dbus-glib-devel
BuildRequires: gdk-pixbuf2-devel
BuildRequires: gtk2-devel
BuildRequires: libcanberra-devel
BuildRequires: libnotify-devel
BuildRequires: libmx-devel
BuildRequires: libwnck-devel
BuildRequires: mutter-moblin-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: udisks-devel

BuildRequires: pkgconfig
BuildRequires: intltool
BuildRequires: gettext

# Require until stable tar ball release
BuildRequires: libtool
BuildRequires: gnome-common

Provides: dalston = %{version}
Obsoletes: dalston < 0.1.13

%description
Panel for MeeGo for managing sound and disk devices.

%prep
%setup -q

# Require until stable tar ball release
NOCONFIGURE=yes ./autogen.sh

%patch0 -p1 -b .fixdso

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

%find_lang moblin-panel-devices

%clean
rm -rf %{buildroot}

%files -f moblin-panel-devices.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_sysconfdir}/gconf/schemas/moblin-panel-devices.schemas
%{_sysconfdir}/xdg/autostart/moblin-power-icon.desktop
%{_libexecdir}/moblin-power-icon
%{_libexecdir}/moblin-panel-devices
%{_datadir}/dbus-1/services/org.moblin.UX.Shell.Panels.power.service
%{_datadir}/dbus-1/services/org.moblin.UX.Shell.Panels.devices.service
%{_datadir}/mutter-moblin/panels/moblin-power-icon.desktop
%{_datadir}/mutter-moblin/panels/moblin-panel-devices.desktop
%{_datadir}/moblin-panel-devices

%changelog
* Mon Aug 30 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.33-2
- Obsolete dalston

* Fri Jul  2 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.33-1
- upstream 0.1.33 release, initial packaging
